﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace KozlekedesSzim
{
    class Auto
    {
        public int PozX { get; set; }
        public int PozY { get; set; }
        public int Sebesseg { get; set; }
        public int Irany { get; set; }
        public string Szin { get; set; }
        public string Status { get; set; }
        public List<int> Utvonal { get; set; }
        private int Utcahossz=5;
        private int Utcapoz;
        private int Utvonalpoz;
        
        public void Megjelenit()
        {
            Console.WriteLine("{0} auto {1}, pozicioja:{2},{3}",Szin,Status,PozX,PozY);
        }

        public void Beolvas(string sor)
        {
            PozX = Convert.ToInt32(sor.Split(',')[0].ToString());
            PozY = Convert.ToInt32(sor.Split(',')[1].ToString());
            Szin = sor.Split(',')[2].ToString();
            Irany = Convert.ToInt32(sor.Split(',')[3].ToString());
            Utvonal = new List<int>();
            for (int i = 4; i < sor.Split(',').Length; i++)
            {
                Utvonal.Add(Convert.ToInt32(sor.Split(',')[i].ToString()));
            }
            Status = "indul";
            Utcapoz = 0;
            Utvonalpoz = 0;

        }

        public void Halad()
        {
            if (Utvonalpoz<Utvonal.Count)
            {
                if (Utcapoz<Utcahossz)
                {
                    Status = "halad";
                    switch (Irany)
                    {
                        case 0: PozX--; break;
                        case 1: PozY--; break;
                        case 2: PozX++; break;
                        case 3: PozY++; break;
                        default:
                            break;
                    }
                    Utcapoz++;
                }
                else
                {
                    Utcapoz = 0;
                    Kanyarodik();
                }
            }
        
        }

        public void Kanyarodik()
        {
            switch (Utvonal[Utvonalpoz])
            {
                case 1: Status = "balra kanyarodik"; break;
                case 2: Status = "Továbbmegy egyenesen"; break;
                case 3: Status = "jobbra kanyarodik"; break;
                default: Status = "megáll";
                    break;
            }
            Irany = (Irany + Utvonal[Utvonalpoz] - 2 + 4) % 4;
            Utvonalpoz++;
        }

        
    }
}
