﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace KozlekedesSzim
{
    class Keresztezodes
    {
        public int Zold { get; set; }
        public int Periodus { get; set; }
        private int[] Utcak = new int[4];
        private int ido = 1;
        private string[] Lampak = new string[4];
        private Boolean[] Terület = new Boolean[4];

        
        

        public Keresztezodes(int _zold, int _perido,int k,int f, int v)
        {
            Zold = _zold;
            Periodus = _perido;
            for (int i = 0; i < 4; i++)
            {
                Terület[i] = false;
                Lampak[i] = (i == Zold) ? "Z" : "P";
            }
            Utcak[0] = k * 2+((v+1)*f*2);
            Utcak[2] = v * 2 + k * 2 + 1 + ((v + 1) * f * 2);
            Utcak[1] = f * 2 + k * 2;
            Utcak[3] = k * 2 + 1;
        }


        public void Megjelenit()
        {
            Console.WriteLine("{0},{1},{2},{3} - utcak:{4},{5},{6},{7}", Lampak[0], Lampak[1], Lampak[2], Lampak[3], Utcak[0], Utcak[1], Utcak[2], Utcak[3]);
        }
        public void Mozgat(ref Auto Car)
        {
            Car.Kanyarodik();
        }
        public void Valt()
        {
            if (ido == Periodus)
            {
                ido = 1;
                Lampak[Zold] = "P";
                Zold = (Zold + 1) % 4;
                Lampak[Zold] = "Z";
            }
            else
            {
                ido++;
            }
        
        }
    }
}
