﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace KozlekedesSzim
{
    
    class Program
    {
        static Keresztezodes[] Keresztek;
        static Utca[] Utcak;
        static int[] Futcah;
        static int[] Vutcah;
        static int Vutcadb, Futcadb;
        static List<Auto> Kocsik = new List<Auto>();
        
        static void Kezdes()
        {
            string[] Adatsorok = System.IO.File.ReadAllLines(@"adatok.txt");
            Vutcadb = Convert.ToInt32(Adatsorok[0].ToString());
            Futcadb = Convert.ToInt32(Adatsorok[1].ToString());
            Futcah = new int[Vutcadb + 1];
            Vutcah = new int[Futcadb + 1];
            int udb = ((Vutcadb + 1) * Futcadb * 2) + (Vutcadb * (Futcadb + 1) * 2);
            Utcak = new Utca[udb];
            Keresztek = new Keresztezodes[Futcadb * Vutcadb];
            for (int i = 0; i < Vutcah.Length; i++)
            {
                Vutcah[i] = Convert.ToInt32(Adatsorok[2].Split(',')[i].ToString());
            }
            for (int i = 0; i < Futcah.Length; i++)
            {
                Futcah[i] = Convert.ToInt32(Adatsorok[3].Split(',')[i].ToString());
            }
            //for (int i = 0; i < Keresztek.Length; i++)
            //{
            //    Keresztek[i] = new Keresztezodes();
            //}
            for (int i = 0; i < Adatsorok[4].Split(',').Length; i=i+2)
            {
                int z, p;
                z = Convert.ToInt32(Adatsorok[4].Split(',')[i].ToString());
                p = Convert.ToInt32(Adatsorok[4].Split(',')[i + 1].ToString());
                //Keresztek[i / 2].Beolvas(z, p);
                Keresztek[i / 2] = new Keresztezodes(z, p, i / 2, Futcadb, Vutcadb);
            }
            for (int i = 5; i < Adatsorok.Length; i++)
            {
                if (Adatsorok[i]!="0")
                {
                    Auto c1 = new Auto();
                    c1.Beolvas(Adatsorok[i]);
                    Kocsik.Add(c1);
                }   
            }

        }

        static Boolean Tovabb(ref List<Auto> kocsik)
        {
            Boolean sv = false;
            int i = 0;
            while ((i<kocsik.Count)&&!sv)
            {
                sv = (kocsik[i].Status != "megáll");
                i++;
            }
            return sv;
        }
        static void Main(string[] args)
        {
            //Console.WriteLine("Hány auto lesz?");
            //int n; n = Convert.ToInt32(Console.ReadLine());
            //List<Auto> Autok = new List<Auto>();
            //for (int i = 0; i < n; i++)
            //{
            //    Console.WriteLine("Kérem az auto adatait");
            //    string adat;
            //    adat = Console.ReadLine();
            //    Auto c1 = new Auto();
            //    c1.Beolvas(adat);
            //    Autok.Add(c1);
            //}
            Kezdes();
            while (Tovabb(ref Kocsik))
            {
                foreach (var item in Keresztek)
                {
                    item.Megjelenit();
                    item.Valt();
                    int a=item.Helye ;
                }
                foreach (var item in Kocsik)
                {
                    item.Megjelenit();
                    item.Halad();
                }
            }
            Console.ReadLine();
        }
    }
}
